import Flutter
import UIKit

@available(iOS 10.0, *)
public class SwiftCameraKitExtPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "camera_kit_ext", binaryMessenger: registrar.messenger())
    let instance = SwiftCameraKitExtPlugin()
    registrar.register(CameraKitExtFactory(registrar: registrar), withId: "plugins/camera_kit_ext")
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    result("iOS " + UIDevice.current.systemVersion)
  }
}
